跳转到主要内容
GET
/
v2
/
dexpools
/
{chain}
/
{poolAddress}
/
snapshots
DEX 池子 - 流动性快照
curl --request GET \
  --url https://api.chainstream.io/v2/dexpools/{chain}/{poolAddress}/snapshots \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "blockHeight": 123456789,
      "blockSlot": 123456789,
      "blockTimestamp": 1705312800000,
      "poolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
      "snapshotTime": 1705312800000,
      "tokenA": {
        "amountInNative": "5000.123",
        "amountInUsd": "1000000.45",
        "decimals": 6,
        "priceNative": "0.005",
        "priceUsd": "1.0001",
        "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "vaultAmount": "1000000000000"
      },
      "tokenB": {
        "amountInNative": "5000.123",
        "amountInUsd": "1000000.45",
        "decimals": 6,
        "priceNative": "0.005",
        "priceUsd": "1.0001",
        "tokenAddress": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
        "vaultAmount": "1000000000000"
      },
      "tvlInNative": "5000",
      "tvlInUsd": "1000000.45"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络列表中的链名称 支持的区块链

可用选项:
sol,
eth,
bsc
poolAddress
string
必填

池子地址

查询参数

cursor
string

分页游标

limit
integer<int64>
默认值:20

每页返回结果数量

direction
enum<string>
默认值:next

分页方向

可用选项:
next,
prev
time
integer<int64>

快照查询的目标 Unix 时间戳

响应

200 - application/json

成功响应

通用分页响应

data
object[]
必填

页数据

endCursor
string | null

当前页尾部游标

示例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

是否存在下一页

示例:

false

hasPrev
boolean

是否存在上一页

示例:

false

startCursor
string | null

当前页起始游标

示例:

"eyJpZCI6InN0YXJ0In0="